Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7585 - Patch for /etc/rc.d/init.d/isdn problems
Summary: Patch for /etc/rc.d/init.d/isdn problems
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: isdn4k-utils
Version: 1.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-04 19:59 UTC by rossigee
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-05 06:53:20 UTC


Attachments (Terms of Use)

Description rossigee 1999-12-04 19:59:57 UTC
Please find attached a patch to the isdn4k-utils-3.0-6 rollup from RawHide.
You managed to fix the typo bug (#5763), but this doesn't appear to have
then been tested fully. There are still a few problems, which this patch
should address.

1) No prior sourcing of the /etc/sysconfig/network file for the system-wide
NETWORKING setting.

2) isdnlog started without the -D option, causing the console to lock up
during startup.

3) the for loop that sources the 'providers' files picks up editor backup
files (~ files) and attempts to configure interfaces for them.

Regards,

--
Ross

--- isdn.orig	Mon Oct 11 16:12:15 1999
+++ isdn	Sat Dec  4 20:40:55 1999
@@ -15,6 +15,8 @@
 # Source function library
 . /etc/rc.d/init.d/functions

+. /etc/sysconfig/network
+
 [ ${NETWORKING} = "no" ] && exit 0
 [ -x /usr/sbin/isdnctrl ] || exit 0
 [ -x /usr/sbin/isdnlog ] || exit 0
@@ -30,13 +32,13 @@
 	hisaxctrl HiSax 1 0x3ff
 	# isdnlog -vw2 -S -m10231 -F -h5:3 -t1 /dev/isdnctrl 2>/var/log/isdn.log
echo -n "Starting isdn logging: "
-	daemon isdnlog -vw2 -S -m10231 -F -t1 /dev/isdnctrl
+	daemon isdnlog -D -vw2 -S -m10231 -F -t1 /dev/isdnctrl
 	RETVAL=$?
 	echo
 	devices=

 	# Loop for each provider...
-	for prov in /etc/sysconfig/provider/conf-*; do
+	for prov in `ls /etc/sysconfig/provider/conf-* | egrep
'conf-[a-z0-9]+$'`; do
 		source $prov
 		# ISDNDEV is either ippp$num_sync or isdn$num_raw
 		if [ "x$ISDNDEV" = "xippp" ]; then

Comment 1 Ronald Bruintjes 1999-12-30 12:53:59 UTC
Also, if I understand bash scripting correctly, there is an unreachable section
in setting the default gateway:

if [ "x$ACTIVEPROV" = "x$PROVIDER" -a "x$ART" = "xautomatisch" -a "$ART" =
"automatic" ]; then

As far as I can determine, there's no way that $ART can both be "automatisch"
and "automatic"...

Comment 2 Karsten Hopp 2000-01-07 14:19:59 UTC
Fixed in Rawhide and in
ftp://ftp.redhat.de/pub/rh-addons/isdn/testing/i386/*isdn*.rpm


Note You need to log in before you can comment on or make changes to this bug.